Draft Wire en BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft WireToBSpline and the translation is 21% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Edit Improved.svg Edit Improved
Next: Add point Draft AddPoint.svg Arrow-right.svg

Draft WireToBSpline.svg Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil Draft WireToBSpline.png Wire en Bspline, converti un Wire en B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

Convertir a wire to a B-Spline, and a closed B-Spline to a closed wire


Utilisation

  1. Sélectionnez un objet Wire ou un objet B-Spline.
  2. Pressez le bouton Draft WireToBSpline.png Wire en Bspline.

A new object will be created; the original object will not be modified.

Note: if a closed wire with sharp edges is used to create a spline, the new object may have self intersecting curve segments, and may not be visible in the 3D view. If this is the case, manually set DATAMake Face to False to see the new shape, or set DATAClosed to False to create an open shape.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

The Points attribute of an object is a list with the points that comprise that object; this list can be passed to functions that build geometry. Each point is defined by its FreeCAD.Vector, with units in millimeters.

  • Si l'objet actif est un Wire:
import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)
Arrow-left.svg Previous: Draft Edit Improved.svg Edit Improved
Next: Add point Draft AddPoint.svg Arrow-right.svg